import type { Express } from "express";
import { requireAuth } from "../middleware/auth.middleware.js";

import restart from "./tcpRestart.route.js";
import start from "./tcpStart.route.js";
import stop from "./tcpStop.route.js";

export const setupTCPRoutes = (baseUrl: string, app: Express) => {
	//stats will be like this as we dont need to change this

	app.use(`${baseUrl}/api/tcp/start`, requireAuth, start);
	app.use(`${baseUrl}/api/tcp/stop`, requireAuth, stop);
	app.use(
		`${baseUrl}/api/tcp/restart`,
		requireAuth,

		restart,
	);

	// all other system should be under /api/system/*
};
